﻿Public Class TimerSettings


 Public Function ShowSettingsDialog(ByVal Parent As Form, ByRef Delay As Integer, ByRef Interval As Integer, ByRef Count As Integer,
                                    ByRef TimerEnabled As Boolean) As DialogResult

  If Delay < 0 Then
   Delay = 0
  ElseIf Delay > 99 * 60 Then
   Delay = 99 * 60
  End If
  If Interval < 0 Then
   Interval = 0
  ElseIf Interval > 99 * 60 Then
   Interval = 99 * 60
  End If
  If Count < 0 Then
   Count = 0
  ElseIf Count > Me.NUDCount.Maximum Then
   Count = Me.NUDCount.Maximum
  End If

  Me.DelayTime.Value = Delay
  Me.IntervalTime.Value = Interval
  Me.NUDCount.Value = Count
  Me.CkUseTimer.Checked = TimerEnabled

  Dim rv As DialogResult = Me.ShowDialog(Parent)

  If rv = Windows.Forms.DialogResult.OK Then
   Delay = Me.DelayTime.Value
   Interval = Me.IntervalTime.Value
   Count = Me.NUDCount.Value
   TimerEnabled = Me.CkUseTimer.Checked
  End If

  Return rv

 End Function
 Private Sub BtnOK_Click(sender As Object, e As EventArgs) Handles BtnOK.Click

  DialogResult = Windows.Forms.DialogResult.OK

 End Sub
 Private Sub BtnCancel_Click(sender As Object, e As EventArgs) Handles BtnCancel.Click

  DialogResult = Windows.Forms.DialogResult.Cancel

 End Sub
End Class