﻿Public Class TimerUserControl

 Public Event ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs)

 Public Property Value As Integer

  Get
   Return Me.MM.Value * 60 + Me.SS.Value
  End Get
  Set(value As Integer)
   Dim M As Integer = value \ 60
   Dim S As Integer = value - M * 60

   Me.MM.Value = M
   Me.SS.Value = S

  End Set
 End Property
 Private Sub xx_ValueChanged(sender As Object, e As EventArgs) Handles MM.ValueChanged, SS.ValueChanged

  RaiseEvent ValueChanged(Me, New System.EventArgs)

 End Sub
 Private Sub SS_Overflow(sender As Object, e As EventArgs) Handles SS.Overflow

  Dim OldValue As Integer = Me.MM.Value
  Me.MM.UpButton()
  If OldValue <> Me.MM.Value Then
   Me.SS.Value = Me.SS.Minimum
  End If

 End Sub
 Private Sub SS_Underflow(sender As Object, e As EventArgs) Handles SS.Underflow

  Dim OldValue As Integer = Me.MM.Value
  Me.MM.DownButton()
  If OldValue <> Me.MM.Value Then
   Me.SS.Value = Me.SS.Maximum
  End If

 End Sub
End Class
Public Class SecondsNUDControl
 Inherits NumericUpDown

 Public Event Underflow(ByVal sender As System.Object, ByVal e As System.EventArgs)
 Public Event Overflow(ByVal sender As System.Object, ByVal e As System.EventArgs)

 Protected Overrides Sub UpdateEditText()

  ' MyBase.UpdateEditText()
  Me.Text = Me.Value.ToString("00")

 End Sub
 Public Overrides Sub DownButton()

  Dim OldValue As Integer = Me.Value
  MyBase.DownButton()

  If OldValue = Me.Value And OldValue = Me.Minimum Then
   RaiseEvent Underflow(Me, New System.EventArgs)
  End If

 End Sub
 Public Overrides Sub UpButton()

  Dim OldValue As Integer = Me.Value
  MyBase.UpButton()

  If OldValue = Me.Value And OldValue = Me.Maximum Then
   RaiseEvent Overflow(Me, New System.EventArgs)
  End If

 End Sub

End Class