﻿Public Class About

  Private Sub SetLabel(ByRef Lbl As Label, ByRef Txt As String)

    Dim Right As Integer = Lbl.Left + Lbl.Width
    Lbl.Text = Txt
    Lbl.Left = Right - Lbl.Width

  End Sub
  Public Sub ShowAbout(ByRef Frm As Form, ByRef Camera As ABCanon7)

    SetLabel(Me.LblVersion, ABCanon7.Version)
    SetLabel(Me.LblUsedMemory, ABCanon7.DbgUsedMemory & " bytes")
    SetLabel(Me.LblCameraName, Camera.CameraName)
    SetLabel(Me.LblSerialNumber, Camera.SerialNumber.ToString)
    SetLabel(Me.LblOwner, Camera.OwnerName)
    Select Case Camera.CameraType
      Case ABCanon7.eCameraType.ABCTYPE_350D
        SetLabel(Me.LblCameraType, "350D")
      Case ABCanon7.eCameraType.ABCTYPE_5D
        SetLabel(Me.LblCameraType, "5D")
      Case Else
        SetLabel(Me.LblCameraType, "????")
    End Select

    Dim FWVersion() As Byte = Camera.FWVersion
    SetLabel(Me.LblFWVersion, FWVersion(0).ToString & "." & FWVersion(1).ToString & "." & FWVersion(2))

    Me.ShowDialog(Frm)

  End Sub
  Private Sub BtnOk_Click(sender As System.Object, e As System.EventArgs) Handles BtnOk.Click

    Me.Close()

  End Sub
  Private Sub LblURL_Click(sender As Object, e As System.EventArgs) Handles LblURL.Click

    Try
      Process.Start(sender.text)
    Catch ex As Exception
    End Try

  End Sub
  Private Sub About_Load(sender As Object, e As System.EventArgs) Handles Me.Load

    For Each O In Me.Controls
      If TypeOf (O) Is Label Then
        O.BackColor = Color.Transparent
      End If
    Next

  End Sub
  Private Sub MICopy_Click(sender As Object, e As System.EventArgs) Handles MICopy.Click

    Dim TSMI As ContextMenuStrip = sender.owner
    Dim SLabel As Label = TSMI.SourceControl

    Try
      Clipboard.Clear()
      Clipboard.SetDataObject(SLabel.Text, True, 10, 100)
    Catch
    End Try

  End Sub
End Class